@background-color: #c7ebfb;
@background-color-dark: black;

@welcome-background-color: #fefadd;
@welcome-border-color: #f7c667;
@welcome-color: #95c3f7;
@welcome-font: "Concert One";
@welcome-font-size: 2rem;
@welcome-border-keyframe-color: #ffde17;

@concordia-color: white;
@concordia-border: black;
@concordia-width: 100%;

@cloud-height: 5rem;
@cloud-width: 15rem;
@cloud-color: white;

@ground-color: gray;
@ground-lines: white;

@tooltip-font: "Oswald";
@tooltip-font-color: black;
@tooltip-background-color: #eaeaf5;

@tutuma-color: #c8843d;
@chicha-color: #c8a33d;
@empty-jar-color: #dfdada;

@table-color: #e7aa6c;
@table-cloth-color: white;

@chicharron-base-color: #604028;
@chicharron-pot-color: #2c2924;
@chicharron-slice-color: #963708;
@chicharron-slice-back-color: #b45424;

@firework-color: #df8829;

@cholita-hat-color: black;
@cholita-hat-color-dark: rgb(72, 38, 18);

* {
  box-sizing: border-box;
}

body {
  position: relative;
  height: 100vh;
  width: 100%;
  margin: 0;
  padding: 0;
  overflow: hidden;
}

.background {
  position: absolute;
  z-index: -1;
  background-color: @background-color;
  margin: 0;
  padding: 0;
  width: 100%;
  height: 100%;
}

.chicharron-container {
  position: relative;
  bottom: 0;
  width: 30%;
  height: 100%;
  cursor: pointer;
  &:hover + .tooltip--chicharron {
    visibility: visible;
  }
}

.chicharron {
  position: absolute;
  bottom: 0;
  width: 100%;
  height: 80%;
  display: flex;
  flex-direction: column;
  align-items: center;
  .chicharron__food {
    position: relative;
    top: 5%;
    width: 80%;
    height: 25%;
    display: flex;
    flex-direction: row;
    justify-content: center;
    flex-wrap: wrap-reverse;
    padding: 0;
    .chicharron__food-slice {
      width: 2rem;
      height: 2rem;
      background-color: @chicharron-slice-color;
      border: 0.1rem solid black;
      border-radius: 40% 60% 66% 34% / 34% 63% 37% 66%;
      z-index: 1;
    }
    .chicharron__food-slice-back {
      position: absolute;
      background-color: @chicharron-slice-back-color;
      width: 75%;
      height: 100%;
      border-radius: 2rem;
      z-index: 0;
    }
  }
  .chicharron__pot {
    position: relative;
    width: 100%;
    height: 60%;
    display: flex;
    flex-direction: row;
    z-index: 2;
    .chicharron__ear {
      position: absolute;
      background-color: transparent;
      width: 12%;
      height: 22%;
      border-radius: 50%;
      border: 0.2rem solid @chicharron-pot-color;
    }
    .chicharron__ear--left {
      left: 5%;
    }
    .chicharron__ear--right {
      right: 5%;
    }
    .chicharron__pot-body {
      position: absolute;
      bottom: 0;
      left: 11%;
      background-color: @chicharron-pot-color;
      width: 78%;
      height: 100%;
      padding-bottom: 45%;
      clip-path: polygon(0 0, 100% 0, 78% 100%, 22% 100%);
    }
  }
  .chicharron__base {
    width: 100%;
    height: 25%;
    background-color: @chicharron-base-color;
  }
}

.welcome {
  position: absolute;
  top: 0;
  left: 10%;
  height: fit-content;
  width: 80%;
  max-width: 900px;
  text-align: center;
  font-size: @welcome-font-size;
  font-weight: bold;
  background-color: @welcome-background-color;
  color: @welcome-color;
  font-family: @welcome-font;
  border: 1rem solid @welcome-border-color;
  border-radius: 1rem;
  z-index: 1;
  cursor: pointer;
  &:hover {
    + .background {
      background-color: @background-color-dark;
    }
    ~ .sky .cloud {
      visibility: hidden;
    }
    ~ .sky .stars {
      visibility: visible;
    }
    ~ .things-container .food .cholita .cholita__hat--top,
    ~ .things-container .food .cholita .cholita__hat--bottom {
      background-color: @cholita-hat-color-dark;
    }
  }

  @media only screen and (min-width: 600px) {
    font-size: calc(@welcome-font-size + 0.5rem);
  }
  @media only screen and (min-width: 900px) {
    font-size: calc(@welcome-font-size + 2rem);
    border: 2rem solid @welcome-border-color;
  }
  animation: welcomeColor 1s linear infinite;
}

.tooltip {
  position: absolute;
  display: flex;
  gap: 0.4rem;
  padding: 0.4rem;
  height: fit-content;
  background-color: @tooltip-background-color;
  color: @tooltip-font-color;
  text-align: justify;
  border: 2px solid black;
  border-radius: 8px;
  padding: 0.4rem;
  position: relative;
  z-index: 100;
  font-family: @tooltip-font;
  visibility: hidden;
  font-size: 1.1rem;
  .tooltip__img {
    display: inline-block;
    width: 30%;
    height: 100%;
  }
}

.tooltip--concordia {
  width: 100%;
  top: 35%;
  left: 0%;
  max-width: 500px;
}

.tooltip--chicha {
  position: absolute;
  bottom: 100%;
  right: 13%;
  width: 100%;
  max-width: 500px;
}

.tooltip--chicharron {
  position: absolute;
  bottom: 100%;
  right: 43%;
  width: 55%;
  max-width: 500px;
}

.tooltip--cholita {
  position: absolute;
  bottom: 100%;
  right: 30%;
  width: 100%;
  max-width: 500px;
}

.concordia-mixin {
  background-color: @concordia-color;
  border: 0.5rem solid @concordia-border;
}

.concordia {
  z-index: 1;
  position: absolute;
  display: flex;
  flex-direction: column;
  align-items: center;
  margin: auto;
  top: 15%;
  height: 75%;
  width: 100%;
  max-width: 576px;
  cursor: pointer;

  &:hover + .tooltip--concordia {
    visibility: visible;
  }
  .concordia__head {
    .concordia-mixin();
    width: 15%;
    height: 18%;
    border-radius: 50% 50% 0 0;
  }

  .concordia__body {
    display: flex;
    flex-direction: row;
    width: 100%;
    height: 70%;
  }

  .concordia__hand {
    border: 0.3rem solid @concordia-border;
    background-color: @concordia-color;
    width: 8.5%;
    height: 5%;
  }

  .concordia__hand--left {
    border-radius: 0 0 0 80%;
  }
  .concordia__hand--right {
    border-radius: 0 0 80% 0;
  }

  .concordia__arm {
    .concordia-mixin();
    width: 20%;
    height: 10%;
  }

  .concordia__chest {
    .concordia-mixin();
    width: 40%;
    height: 65%;
    border-radius: 0 0 0 80%;
    border-left: 0.7rem solid @concordia-border;
    border-bottom: 0.7rem solid @concordia-border;
    z-index: 1;
  }

  .concordia__legs {
    .concordia-mixin();
    position: absolute;
    width: 28%;
    height: 50%;
    top: 40%;
    z-index: 0;
  }
  .concordia__holder {
    position: absolute;
    .concordia-mixin();
    width: 90%;
    height: 10%;
    bottom: 0;
  }
}

.things-container {
  position: fixed;
  display: flex;
  flex-direction: row;
  bottom: 10%;
  left: 600px;
  z-index: 0;
  width: 60%;
  height: 40%;
}

.table-container {
  position: relative;
  top: 20%;
  height: 80%;
  width: 35%;
  display: flex;
  flex-direction: column;
}

.food {
  position: relative;
  width: 100%;
  height: 45%;
}

.cholita {
  position: absolute;
  right: 0;
  bottom: 0;
  width: 42%;
  height: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  &:hover + .tooltip--cholita {
    visibility: visible;
  }
  .cholita__hat--top {
    position: absolute;
    bottom: 10%;
    width: 60%;
    height: 55%;
    background-color: @cholita-hat-color;
    border-top-left-radius: 50%;
    border-top-right-radius: 50%;
  }
  .cholita__hat--bottom {
    position: absolute;
    bottom: 0;
    width: 100%;
    height: 17%;
    background-color: @cholita-hat-color;
  }
}

.chicha {
  position: relative;
  left: 10%;
  width: 45%;
  height: 100%;
  cursor: pointer;

  &:hover + .tooltip--chicha {
    visibility: visible;
  }

  .chicha__tutuma {
    position: absolute;
    bottom: 0;
    width: 45%;
    height: 25%;
    border-radius: 50% 50% 51% 49% / 0% 0% 100% 100%;
    border: 0.1rem solid black;
    background-color: @tutuma-color;
  }
  .chicha__jar {
    position: absolute;
    display: flex;
    flex-direction: column;
    bottom: 0;
    right: 0;
    width: 55%;
    height: 90%;
    .chicha__jar--top {
      position: absolute;
      width: 90%;
      height: 0;
      bottom: 55%;
      border-top: 2.5rem solid @empty-jar-color;
      border-left: 0.7rem solid transparent;
      border-right: 0.2rem solid transparent;
    }
    .chicha__jar--middle {
      position: absolute;
      width: 100%;
      height: 0;
      bottom: 25%;
      border-bottom: 3rem solid @empty-jar-color;
      border-left: 0.7rem solid transparent;
      border-right: 0.7rem solid transparent;
    }
    .chicha__jar--base {
      position: absolute;
      bottom: 0;
      width: 100%;
      height: 25%;
      border-radius: 45%;
      border-bottom-left-radius: 45%;
      border-bottom-right-radius: 45%;
      border-radius: 50% 50% 51% 49% / 0% 0% 100% 100%;
      background-color: @chicha-color;
    }
  }
}

.table {
  position: relative;
  width: 100%;
  height: 55%;
  .table__up {
    width: 100%;
    height: 35%;
    background-color: @table-color;
    border-radius: 0.3rem;
    border: 0.1rem solid black;
  }
  .table__cloth {
    position: absolute;
    left: 12%;
    top: 0;
    border-top: 75px solid @table-cloth-color;
    border-left: 70px solid transparent;
    border-right: 70px solid transparent;
  }
  .table__down {
    width: 100%;
    height: 65%;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
  }
  .table__leg {
    width: 10%;
    height: 100%;
    margin: 0 1rem;
    background-color: @table-color;
    border: 0.1rem solid black;
  }
}

.ground {
  background-color: @ground-color;
  border-top: 5px solid @ground-lines;
  border-bottom: 5px solid @ground-lines;
  background-image: linear-gradient(
    90deg,
    @ground-lines 0.4rem,
    transparent 0.4rem
  );
  background-size: 10rem;
  position: fixed;
  bottom: 0;
  width: 100%;
  height: 10%;
  &:hover + .firework {
    visibility: visible;
    animation: firework 2s infinite;
  }
}

.sky {
  position: fixed;
  top: 0;
  height: 30%;
  width: 100%;
}

.cloud {
  position: absolute;
  z-index: 0;
  background: @cloud-color;
  width: @cloud-width;
  height: @cloud-height;
  border-radius: 10rem;
  box-shadow: 10px 10px rgba(0, 0, 0, 0.2);
  &:after {
    content: "";
    background: @cloud-color;
    position: absolute;
    width: @cloud-height;
    height: @cloud-height;
    border-radius: 50%;
    top: -2.5rem;
    left: 2.5rem;
  }

  &:before {
    content: "";
    background: @cloud-color;
    position: absolute;
    width: 8.5rem;
    height: 7.5rem;
    border-radius: 50%;
    top: -4.5rem;
    right: 2rem;
  }
}

.cloud--first {
  animation: moveCloudLeft 30s linear infinite;
  top: 35%;
  left: 100%;
}
.cloud--second {
  animation: moveCloudRight 30s linear infinite;
  top: 40%;
  right: 100%;
}

.stars {
  visibility: hidden;
  position: absolute;
  top: 20%;
  display: grid;
}

.stars--left {
  grid-template-columns: repeat(2, 1fr);
  grid-template-rows: repeat(4, 1fr);
  width: 10%;
  height: 70%;
  left: 0;
}
.stars--right {
  grid-template-columns: repeat(5, 1fr);
  grid-template-rows: repeat(2, 1fr);
  width: 30%;
  height: 70%;
  right: 0;
}

.star {
  height: 1rem;
  width: 1rem;
  background-color: yellow;
  clip-path: polygon(
    50% 0%,
    61% 35%,
    98% 35%,
    68% 57%,
    79% 91%,
    50% 70%,
    21% 91%,
    32% 57%,
    2% 35%,
    39% 35%
  );
}

.firework {
  visibility: hidden;
  position: absolute;
  top: 20%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 0.5rem;
  aspect-ratio: 1;
  background: radial-gradient(circle, @firework-color 0.2vmin, #0000 0) 50% 00%,
    radial-gradient(circle, @firework-color 5rem, #0000 0) 00% 50%,
    radial-gradient(circle, @firework-color 5rem, #0000 0) 50% 99%,
    radial-gradient(circle, @firework-color 5rem, #0000 0) 99% 50%,
    radial-gradient(circle, @firework-color 5rem, #0000 0) 80% 90%,
    radial-gradient(circle, @firework-color 5rem, #0000 0) 95% 90%,
    radial-gradient(circle, @firework-color 5rem, #0000 0) 10% 60%,
    radial-gradient(circle, @firework-color 5rem, #0000 0) 31% 80%,
    radial-gradient(circle, @firework-color 5rem, #0000 0) 80% 10%,
    radial-gradient(circle, @firework-color 5rem, #0000 0) 90% 23%,
    radial-gradient(circle, @firework-color 5rem, #0000 0) 45% 20%,
    radial-gradient(circle, @firework-color 5rem, #0000 0) 13% 24%;
  background-size: 0.5rem 0.5rem;
  background-repeat: no-repeat;
}

@keyframes firework {
  0% {
    transform: translate(-50%, 60vh);
    width: 0.5rem;
    opacity: 1;
  }
  50% {
    width: 0.4rem;
    opacity: 1;
  }
  100% {
    width: 45vw;
    opacity: 0;
  }
}

@keyframes moveCloudRight {
  0% {
    transform: translateX(0);
  }

  100% {
    transform: translateX(calc(100% + 100vw));
  }
}

@keyframes moveCloudLeft {
  0% {
    transform: translateX(0);
  }
  100% {
    transform: translateX(calc(-100% - 100vw));
  }
}

@keyframes welcomeColor {
  25% {
    border-color: @welcome-border-color;
    border-right-color: @welcome-border-keyframe-color;
  }
  50% {
    border-color: @welcome-border-color;
    border-bottom-color: @welcome-border-keyframe-color;
  }
  75% {
    border-color: @welcome-border-color;
    border-left-color: @welcome-border-keyframe-color;
  }
  100% {
    border-color: @welcome-border-color;
    border-top-color: @welcome-border-keyframe-color;
  }
}
